/*
 * KernelConf - A Linux Kernel Configuration System
 *
 * Distributed under GNU General Public Lisence
 *
 * Copyright (C) 2002 by Anuradha Ratnaweera
 */

#ifndef _KCONF_VALUES_H
#define _KCONF_VALUES_H

typedef enum {
    TYPE_NULL,
    TYPE_BOOL,
    TYPE_TRI,
    TYPE_MODULE,
    TYPE_INT,
    TYPE_HEX,
    TYPE_CHAR,
    TYPE_STR,
    TYPE_OPTION,
    TYPE_UNKNOWN,
    TYPE_DEPENDS,
    TYPE_DERIVED,
    TYPE_OR,
    TYPE_AND,
    TYPE_EQUAL,
    TYPE_NOT_EQUAL,
    TYPE_LT,
    TYPE_GT,
    TYPE_LTE,
    TYPE_GTE,
    TYPE_NOT,
    TYPE_LEFT_PARA,
    TYPE_RIGHT_PARA,
    TYPE_SYMBOL,
    TYPE_VALUE
} Type;

typedef union _Value {
    char charval;
    int intval;
    char *strval;
    void *ptr;
} Value;

#endif /* _KCONF_VALUES_H */

